%define upstream_name    File-Listing
%define upstream_version 6.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse directory listings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildArch:  noarch

%description
This module exports a single function called parse_dir(), which can be used
to parse directory listings.

The first parameter to parse_dir() is the directory listing to parse. It
can be a scalar, a reference to an array of directory lines or a glob
representing a filehandle to read the directory listing from.

The second parameter is the time zone to use when parsing time stamps in
the listing. If this value is undefined, then the local time zone is
assumed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 6.40.0-3.mga4
+ Revision: 511564
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.40.0-2.mga3
+ Revision: 367266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.40.0-1.mga2
+ Revision: 212883
- update to 6.04

* Mon Sep 26 2011 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 148065
- update to 6.03

* Thu Mar 24 2011 jquelin <jquelin> 6.20.0-1.mga1
+ Revision: 76626
- update to 6.02

* Mon Mar 14 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 70986
- update to 6.01

* Sat Feb 26 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 60821
- imported package perl-File-Listing


* Sat Feb 26 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
